Bug 243584 - SELinux is preventing /sbin/sysctl (udev_t) "write" to (sysctl_net_t).
SELinux is preventing /sbin/sysctl (udev_t) "write" to (sysctl_net_t).
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-10 01:50 EDT by Ashish Shukla
Modified: 2007-11-30 17:12 EST (History)
1 user (show)

See Also:
Fixed In Version: Current
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-22 10:09:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ashish Shukla 2007-06-10 01:50:27 EDT
Description of problem:
Got a SELinux denial

avc: denied { write } for comm="sysctl" egid=0 euid=0 exe="/sbin/sysctl"
exit=-13 fsgid=0 fsuid=0 gid=0 items=0 pid=6587
scontext=system_u:system_r:udev_t:s0-s0:c0.c1023 sgid=0
subj=system_u:system_r:udev_t:s0-s0:c0.c1023 suid=0 tclass=file
tcontext=system_u:object_r:sysctl_net_t:s0 tty=(none) uid=0

From the above denial message, I'm not able to figure out which file has the
context "system_u:object_r:sysctl_net_t" .

Version-Release number of selected component (if applicable):
selinux-policy-targeted-2.6.4-13.fc7

How reproducible:
I'm not able to figure out, how to reproduce this.

Steps to Reproduce:
1.
2.
3.
  
Actual results:
SELinux denials.

Expected results:
No SELinux denials.

Additional info:
Source Context:  system_u:system_r:udev_t:SystemLow-SystemHighTarget
Context:  system_u:object_r:sysctl_net_t
Target Objects:  None [ file ]
Affected RPM Packages:  procps-3.2.7-11.fc7 [application]
Policy RPM:  selinux-policy-2.6.4-13.fc7
Selinux Enabled:  True
Policy Type:  targeted
MLS Enabled:  True
Enforcing Mode:  Enforcing
Plugin Name:  plugins.catchall_file
Host Name:  chatteau.d.lf
Platform:  Linux chatteau.d.lf 2.6.21-1.3194.fc7 #1 SMP Wed May 23 22:47:07 EDT
2007 x86_64 x86_64
Alert Count:  123
First Seen:  Sun 03 Jun 2007 10:36:47 AM IST
Last Seen:  Sun 10 Jun 2007 11:15:13 AM IST
Local ID:  cc18a2c2-689d-4871-9715-b8cf738b1ab8
Line Numbers:
Comment 1 Daniel Walsh 2007-06-11 11:09:14 EDT
Any idea why udev is calling out to sysctl and what sysctl is trying to do?
Comment 2 Harald Hoyer 2007-06-11 12:23:49 EDT
Ouput of 'grep -r sysctl /etc/udev/rules.d' ??
Comment 3 Harald Hoyer 2007-06-11 12:25:59 EDT
udev does not call sysctl .. either there is a rule doing this, or s.th. that is
called by a rule does this.
Comment 4 Ashish Shukla 2007-06-11 13:12:28 EDT
-- begin dump --
[wahjava@chatteau ~]$ grep -r sysctl /etc/udev/rules.d
[wahjava@chatteau ~]$
-- end dump --
Comment 5 Ashish Shukla 2007-06-11 13:22:44 EDT
While executing following command, I un-plugged and re-plugged in my ADSL modem
(eth2, cdc_ether) in USB port. I've disconnected my modem around "22:49:11" and
re-inserted at "22:49:14".

-- begin log --
[wahjava@chatteau ~]$ sudo tail -f /var/log/messages
Jun 11 22:48:09 chatteau kernel: usb 4-2: new full speed USB device using
uhci_hcd and address 5
Jun 11 22:48:09 chatteau kernel: usb 4-2: configuration #2 chosen from 2 choices
Jun 11 22:48:09 chatteau kernel: eth2: register 'cdc_ether' at
usb-0000:00:1d.3-2, CDC Ethernet Device, 00:08:5c:5b:f4:13
Jun 11 22:48:12 chatteau avahi-daemon[2695]: Joining mDNS multicast group on
interface eth2.IPv6 with address fe80::208:5cff:fe5b:f413.
Jun 11 22:48:12 chatteau avahi-daemon[2695]: New relevant interface eth2.IPv6
for mDNS.
Jun 11 22:48:12 chatteau avahi-daemon[2695]: Registering new address record for
fe80::208:5cff:fe5b:f413 on eth2.*.
Jun 11 22:48:14 chatteau avahi-daemon[2695]: Joining mDNS multicast group on
interface eth2.IPv4 with address 172.16.0.2.
Jun 11 22:48:14 chatteau avahi-daemon[2695]: New relevant interface eth2.IPv4
for mDNS.
Jun 11 22:48:14 chatteau avahi-daemon[2695]: Registering new address record for
172.16.0.2 on eth2.IPv4.
Jun 11 22:48:16 chatteau setroubleshoot:      SELinux is preventing /sbin/sysctl
(udev_t) "write" to <Unknown> (sysctl_net_t).      For complete SELinux
messages. run sealert -l cc18a2c2-689d-4871-9715-b8cf738b1ab8
Jun 11 22:48:16 chatteau last message repeated 2 times
Jun 11 22:49:11 chatteau kernel: usb 4-2: USB disconnect, address 5
Jun 11 22:49:11 chatteau kernel: eth2: unregister 'cdc_ether'
usb-0000:00:1d.3-2, CDC Ethernet Device
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Interface eth2.IPv6 no longer
relevant for mDNS.
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Leaving mDNS multicast group on
interface eth2.IPv6 with address fe80::208:5cff:fe5b:f413.
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Interface eth2.IPv4 no longer
relevant for mDNS.
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Leaving mDNS multicast group on
interface eth2.IPv4 with address 172.16.0.2.
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Withdrawing address record for
fe80::208:5cff:fe5b:f413 on eth2.
Jun 11 22:49:11 chatteau avahi-daemon[2695]: Withdrawing address record for
172.16.0.2 on eth2.
Jun 11 22:49:14 chatteau kernel: usb 4-2: new full speed USB device using
uhci_hcd and address 6
Jun 11 22:49:14 chatteau kernel: usb 4-2: configuration #2 chosen from 2 choices
Jun 11 22:49:14 chatteau kernel: eth2: register 'cdc_ether' at
usb-0000:00:1d.3-2, CDC Ethernet Device, 00:08:5c:5b:f4:13
Jun 11 22:49:16 chatteau avahi-daemon[2695]: Joining mDNS multicast group on
interface eth2.IPv6 with address fe80::208:5cff:fe5b:f413.
Jun 11 22:49:16 chatteau avahi-daemon[2695]: New relevant interface eth2.IPv6
for mDNS.
Jun 11 22:49:16 chatteau avahi-daemon[2695]: Registering new address record for
fe80::208:5cff:fe5b:f413 on eth2.*.
Jun 11 22:49:18 chatteau avahi-daemon[2695]: Joining mDNS multicast group on
interface eth2.IPv4 with address 172.16.0.2.
Jun 11 22:49:18 chatteau avahi-daemon[2695]: New relevant interface eth2.IPv4
for mDNS.
Jun 11 22:49:18 chatteau avahi-daemon[2695]: Registering new address record for
172.16.0.2 on eth2.IPv4.
Jun 11 22:49:20 chatteau setroubleshoot:      SELinux is preventing /sbin/sysctl
(udev_t) "write" to <Unknown> (sysctl_net_t).      For complete SELinux
messages. run sealert -l cc18a2c2-689d-4871-9715-b8cf738b1ab8
-- end log --

Hope this help.

Ashish Shukla
Comment 6 Harald Hoyer 2007-06-12 02:52:48 EDT
ok, then set in /etc/udev/udev.conf:
udev_log="info"
or
udev_log="debug"

and then /var/log/messages may show more..
Comment 7 Ashish Shukla 2007-06-12 05:13:28 EDT
Executed following command:

-- begin dump --
[wahjava@chatteau ~]$ sudo /sbin/udevcontrol log_priority=debug
-- end dump --

And ejected, reinserted my ADSL modem, and reset "udev" "logging_priority" to
"err". Following is the "/var/log/messages" .

-- begin log --
Jun 12 14:37:18 chatteau kernel: usb 4-2: USB disconnect, address 3
Jun 12 14:37:18 chatteau kernel: eth2: unregister 'cdc_ether'
usb-0000:00:1d.3-2, CDC Ethernet Device
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 959 forked, pid [3723],
'remove' 'usb_endpoint', 0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3723]: udev_db_get_device: found a symlink
as db file
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Interface eth2.IPv6 no longer
relevant for mDNS.
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Leaving mDNS multicast group on
interface eth2.IPv6 with address fe80::208:5cff:fe5b:f413.
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Interface eth2.IPv4 no longer
relevant for mDNS.
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Leaving mDNS multicast group on
interface eth2.IPv4 with address 172.16.0.2.
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Withdrawing address record for
fe80::208:5cff:fe5b:f413 on eth2.
Jun 12 14:37:18 chatteau avahi-daemon[2707]: Withdrawing address record for
172.16.0.2 on eth2.
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 960 forked, pid [3724],
'remove' 'net', 0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 961 forked, pid [3725],
'remove' 'usb', 0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 962 forked, pid [3726],
'remove' 'usb_endpoint', 0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 963 forked, pid [3727],
'remove' 'usb_endpoint', 0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 964 forked, pid [3728],
'remove' 'usb', 0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3727]: udev_db_get_device: found a symlink
as db file
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 965 forked, pid [3729],
'remove' 'usb_device', 0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3726]: udev_db_get_device: found a symlink
as db file
Jun 12 14:37:18 chatteau udevd-event[3724]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3724]: run_program:
'/etc/sysconfig/network-scripts/net.hotplug'
Jun 12 14:37:18 chatteau udevd-event[3729]: udev_db_get_device: found a symlink
as db file
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 966 forked, pid [3735],
'remove' 'usb_endpoint', 0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3735]: udev_db_get_device: found a symlink
as db file
Jun 12 14:37:18 chatteau udevd-event[3723]: udev_node_remove: removing device
node '/dev/usbdev4.3_ep85'
Jun 12 14:37:18 chatteau udevd-event[3723]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3723]: pass_env_to_socket: passed 306 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3723]: udev_event_run: seq 959 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 959, pid [3723] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3725]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3725]: pass_env_to_socket: passed 326 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3725]: udev_event_run: seq 961 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 961, pid [3725] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3727]: udev_node_remove: removing device
node '/dev/usbdev4.3_ep02'
Jun 12 14:37:18 chatteau udevd-event[3727]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3727]: pass_env_to_socket: passed 282 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3727]: udev_event_run: seq 963 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 963, pid [3727] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3726]: udev_node_remove: removing device
node '/dev/usbdev4.3_ep81'
Jun 12 14:37:18 chatteau udevd-event[3726]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3726]: pass_env_to_socket: passed 282 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3726]: udev_event_run: seq 962 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 962, pid [3726] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3728]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3728]: pass_env_to_socket: passed 327 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3728]: udev_event_run: seq 964 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 964, pid [3728] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_event_run: seq 967 forked, pid [3752],
'remove' 'usb', 0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3735]: udev_node_remove: removing device
node '/dev/usbdev4.3_ep00'
Jun 12 14:37:18 chatteau udevd-event[3735]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3752]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3752]: pass_env_to_socket: passed 239 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3752]: udev_event_run: seq 967 finished
Jun 12 14:37:18 chatteau udevd-event[3735]: pass_env_to_socket: passed 292 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3735]: udev_event_run: seq 966 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 966, pid [3735] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 967, pid [3752] exit with 0,
0 seconds old
Jun 12 14:37:18 chatteau udevd-event[3729]: udev_node_remove: removing device
node '/dev/bus/usb/004/003'
Jun 12 14:37:18 chatteau udevd-event[3729]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:18 chatteau udevd-event[3729]: pass_env_to_socket: passed 278 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:18 chatteau udevd-event[3729]: udev_event_run: seq 965 finished
Jun 12 14:37:18 chatteau udevd[451]: udev_done: seq 965, pid [3729] exit with 0,
0 seconds old
Jun 12 14:37:19 chatteau udevd-event[3724]: run_program:
'/etc/sysconfig/network-scripts/net.hotplug' returned with status 0
Jun 12 14:37:19 chatteau udevd-event[3724]: pass_env_to_socket: passed 227 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:19 chatteau udevd-event[3724]: udev_event_run: seq 960 finished
Jun 12 14:37:19 chatteau udevd[451]: udev_done: seq 960, pid [3724] exit with 0,
1 seconds old
Jun 12 14:37:21 chatteau kernel: usb 4-2: new full speed USB device using
uhci_hcd and address 4
Jun 12 14:37:22 chatteau kernel: usb 4-2: configuration #2 chosen from 2 choices
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 968 forked, pid [3810],
'add' 'usb', 0 seconds old
Jun 12 14:37:22 chatteau udevd-event[3810]: wait_for_sysfs: file
'/sys/devices/pci0000:00/0000:00:1d.3/usb4/4-2/bus' appeared after 0 loops
Jun 12 14:37:22 chatteau kernel: eth2: register 'cdc_ether' at
usb-0000:00:1d.3-2, CDC Ethernet Device, 00:08:5c:5b:f4:13
Jun 12 14:37:22 chatteau udevd-event[3810]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:22 chatteau udevd-event[3810]: pass_env_to_socket: passed 233 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:22 chatteau udevd-event[3810]: udev_event_run: seq 968 finished
Jun 12 14:37:22 chatteau udevd[451]: udev_done: seq 968, pid [3810] exit with 0,
0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 969 forked, pid [3811],
'add' 'usb_endpoint', 0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 970 forked, pid [3812],
'add' 'usb', 0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 973 forked, pid [3813],
'add' 'usb', 0 seconds old
Jun 12 14:37:22 chatteau udevd-event[3813]: wait_for_sysfs: file
'/sys/devices/pci0000:00/0000:00:1d.3/usb4/4-2/4-2:2.1/bus' appeared after 0 loops
Jun 12 14:37:22 chatteau udevd-event[3812]: wait_for_sysfs: file
'/sys/devices/pci0000:00/0000:00:1d.3/usb4/4-2/4-2:2.0/bus' appeared after 0 loops
Jun 12 14:37:22 chatteau udevd-event[3811]: udev_rules_get_name: no node name
set, will use kernel name 'usbdev4.4_ep00'
Jun 12 14:37:22 chatteau udevd-event[3811]: udev_db_get_device: no db file to
read /dev/.udev/db/class@usb_endpoint@usbdev4.4_ep00: No such file or directory
Jun 12 14:37:22 chatteau udevd-event[3811]: udev_node_add: creating device node
'/dev/usbdev4.4_ep00', major = '252', minor = '12', mode = '0600', uid = '0',
gid = '0'
Jun 12 14:37:22 chatteau udevd-event[3811]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:22 chatteau udevd-event[3811]: pass_env_to_socket: passed 286 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:22 chatteau udevd-event[3812]: run_program: 'modprobe
usb:v0A5Cp6300d0101dc02dsc00dp00ic02isc06ip00'
Jun 12 14:37:22 chatteau udevd-event[3811]: run_program:
'/sbin/pam_console_apply /dev/usbdev4.4_ep00 '
Jun 12 14:37:22 chatteau udevd-event[3813]: run_program: 'modprobe
usb:v0A5Cp6300d0101dc02dsc00dp00ic0Aisc00ip00'
Jun 12 14:37:22 chatteau udevd-event[3811]: run_program:
'/sbin/pam_console_apply' returned with status 0
Jun 12 14:37:22 chatteau udevd-event[3811]: udev_event_run: seq 969 finished
Jun 12 14:37:22 chatteau udevd[451]: udev_done: seq 969, pid [3811] exit with 0,
0 seconds old
Jun 12 14:37:22 chatteau udevd-event[3813]: run_program: '/lib/udev/modprobe'
(stderr) 'FATAL: Module usb:v0A5Cp6300d0101dc02dsc00dp00ic0Aisc00ip00 not found.'
Jun 12 14:37:22 chatteau udevd-event[3813]: run_program: '/lib/udev/modprobe'
returned with status 1
Jun 12 14:37:22 chatteau udevd-event[3813]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:22 chatteau udevd-event[3813]: pass_env_to_socket: passed 362 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:22 chatteau udevd-event[3813]: udev_event_run: seq 973 finished
Jun 12 14:37:22 chatteau udevd[451]: udev_done: seq 973, pid [3813] exit with 1,
0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 974 forked, pid [3819],
'add' 'usb_endpoint', 0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 975 forked, pid [3820],
'add' 'usb_endpoint', 0 seconds old
Jun 12 14:37:22 chatteau udevd-event[3812]: run_program: '/lib/udev/modprobe'
returned with status 0
Jun 12 14:37:22 chatteau udevd-event[3812]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:22 chatteau udevd-event[3812]: pass_env_to_socket: passed 320 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:22 chatteau udevd-event[3812]: udev_event_run: seq 970 finished
Jun 12 14:37:22 chatteau udevd[451]: udev_done: seq 970, pid [3812] exit with 0,
0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 971 forked, pid [3821],
'add' 'net', 0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 972 forked, pid [3822],
'add' 'usb_endpoint', 0 seconds old
Jun 12 14:37:22 chatteau udevd[451]: udev_event_run: seq 976 forked, pid [3823],
'add' 'usb_device', 0 seconds old
Jun 12 14:37:22 chatteau udevd-event[3821]: wait_for_sysfs: file
'/sys/class/net/eth2/address' appeared after 0 loops
Jun 12 14:37:23 chatteau udevd-event[3823]: run_program: '/bin/sh -c
'K=usbdev4.4; K=${K#usbdev}; printf bus/usb/%03i/%03i ${K%%.*} ${K#*.}''
Jun 12 14:37:23 chatteau udevd-event[3819]: udev_rules_get_name: no node name
set, will use kernel name 'usbdev4.4_ep81'
Jun 12 14:37:23 chatteau udevd-event[3819]: udev_db_get_device: no db file to
read /dev/.udev/db/class@usb_endpoint@usbdev4.4_ep81: No such file or directory
Jun 12 14:37:23 chatteau udevd-event[3819]: udev_node_add: creating device node
'/dev/usbdev4.4_ep81', major = '252', minor = '16', mode = '0600', uid = '0',
gid = '0'
Jun 12 14:37:23 chatteau udevd-event[3819]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:23 chatteau udevd-event[3819]: pass_env_to_socket: passed 300 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:23 chatteau udevd-event[3819]: run_program:
'/sbin/pam_console_apply /dev/usbdev4.4_ep81 '
Jun 12 14:37:23 chatteau udevd-event[3819]: run_program:
'/sbin/pam_console_apply' returned with status 0
Jun 12 14:37:23 chatteau udevd-event[3819]: udev_event_run: seq 974 finished
Jun 12 14:37:23 chatteau udevd[451]: udev_done: seq 974, pid [3819] exit with 0,
1 seconds old
Jun 12 14:37:23 chatteau udevd-event[3823]: run_program: '/bin/sh' (stdout)
'bus/usb/004/004'
Jun 12 14:37:23 chatteau udevd-event[3823]: run_program: '/bin/sh' returned with
status 0
Jun 12 14:37:23 chatteau udevd-event[3821]: run_program: '/lib/udev/rename_device'
Jun 12 14:37:23 chatteau udevd-event[3821]: run_program:
'/lib/udev/rename_device' returned with status 0
Jun 12 14:37:23 chatteau udevd-event[3821]: udev_rules_get_name: no node name
set, will use kernel name 'eth2'
Jun 12 14:37:23 chatteau udevd-event[3823]: udev_rules_get_name: rule applied,
'usbdev4.4' becomes 'bus/usb/004/004'
Jun 12 14:37:23 chatteau udevd-event[3820]: udev_rules_get_name: no node name
set, will use kernel name 'usbdev4.4_ep02'
Jun 12 14:37:23 chatteau udevd-event[3820]: udev_db_get_device: no db file to
read /dev/.udev/db/class@usb_endpoint@usbdev4.4_ep02: No such file or directory
Jun 12 14:37:23 chatteau udevd-event[3820]: udev_node_add: creating device node
'/dev/usbdev4.4_ep02', major = '252', minor = '17', mode = '0600', uid = '0',
gid = '0'
Jun 12 14:37:23 chatteau udevd-event[3820]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:23 chatteau udevd-event[3820]: pass_env_to_socket: passed 300 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:23 chatteau udevd-event[3820]: run_program:
'/sbin/pam_console_apply /dev/usbdev4.4_ep02 '
Jun 12 14:37:23 chatteau udevd-event[3821]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:23 chatteau udevd-event[3821]: run_program:
'/etc/sysconfig/network-scripts/net.hotplug'
Jun 12 14:37:23 chatteau udevd-event[3820]: run_program:
'/sbin/pam_console_apply' returned with status 0
Jun 12 14:37:23 chatteau udevd-event[3820]: udev_event_run: seq 975 finished
Jun 12 14:37:23 chatteau udevd[451]: udev_done: seq 975, pid [3820] exit with 0,
1 seconds old
Jun 12 14:37:23 chatteau udevd-event[3822]: udev_rules_get_name: no node name
set, will use kernel name 'usbdev4.4_ep85'
Jun 12 14:37:23 chatteau udevd-event[3822]: udev_db_get_device: no db file to
read /dev/.udev/db/class@usb_endpoint@usbdev4.4_ep85: No such file or directory
Jun 12 14:37:23 chatteau udevd-event[3822]: udev_node_add: creating device node
'/dev/usbdev4.4_ep85', major = '252', minor = '13', mode = '0600', uid = '0',
gid = '0'
Jun 12 14:37:23 chatteau udevd-event[3822]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:23 chatteau udevd-event[3822]: pass_env_to_socket: passed 300 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:23 chatteau udevd-event[3822]: run_program:
'/sbin/pam_console_apply /dev/usbdev4.4_ep85 '
Jun 12 14:37:23 chatteau udevd-event[3822]: run_program:
'/sbin/pam_console_apply' returned with status 0
Jun 12 14:37:23 chatteau udevd-event[3822]: udev_event_run: seq 972 finished
Jun 12 14:37:23 chatteau udevd[451]: udev_done: seq 972, pid [3822] exit with 0,
1 seconds old
Jun 12 14:37:24 chatteau udevd-event[3821]: run_program: Waiting 1 seconds for
output of '/etc/sysconfig/network-scripts/net.hotplug(3828)'
Jun 12 14:37:24 chatteau udevd-event[3823]: udev_db_get_device: no db file to
read /dev/.udev/db/class@usb_device@usbdev4.4: No such file or directory
Jun 12 14:37:24 chatteau udevd-event[3823]: udev_node_add: creating device node
'/dev/bus/usb/004/004', major = '189', minor = '387', mode = '0644', uid = '0',
gid = '0'
Jun 12 14:37:24 chatteau udevd-event[3823]: pass_env_to_socket: passed -1 bytes
to socket '/org/kernel/udev/monitor', 
Jun 12 14:37:24 chatteau udevd-event[3823]: pass_env_to_socket: passed 272 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:24 chatteau udevd-event[3823]: run_program:
'/sbin/pam_console_apply /dev/bus/usb/004/004 '
Jun 12 14:37:24 chatteau udevd-event[3823]: run_program:
'/sbin/pam_console_apply' returned with status 0
Jun 12 14:37:24 chatteau udevd-event[3823]: udev_event_run: seq 976 finished
Jun 12 14:37:24 chatteau udevd[451]: udev_done: seq 976, pid [3823] exit with 0,
2 seconds old
Jun 12 14:37:25 chatteau avahi-daemon[2707]: Joining mDNS multicast group on
interface eth2.IPv6 with address fe80::208:5cff:fe5b:f413.
Jun 12 14:37:25 chatteau avahi-daemon[2707]: New relevant interface eth2.IPv6
for mDNS.
Jun 12 14:37:25 chatteau avahi-daemon[2707]: Registering new address record for
fe80::208:5cff:fe5b:f413 on eth2.*.
Jun 12 14:37:25 chatteau avahi-daemon[2707]: Joining mDNS multicast group on
interface eth2.IPv4 with address 172.16.0.2.
Jun 12 14:37:25 chatteau avahi-daemon[2707]: New relevant interface eth2.IPv4
for mDNS.
Jun 12 14:37:25 chatteau avahi-daemon[2707]: Registering new address record for
172.16.0.2 on eth2.IPv4.
Jun 12 14:37:25 chatteau udevd-event[3821]: run_program: Waiting 2 seconds for
output of '/etc/sysconfig/network-scripts/net.hotplug(3828)'
Jun 12 14:37:25 chatteau udevd-event[3821]: run_program:
'/etc/sysconfig/network-scripts/net.hotplug' returned with status 0
Jun 12 14:37:25 chatteau udevd-event[3821]: pass_env_to_socket: passed 221 bytes
to socket '/org/freedesktop/hal/udev_event', 
Jun 12 14:37:25 chatteau udevd-event[3821]: udev_event_run: seq 971 finished
Jun 12 14:37:25 chatteau udevd[451]: udev_done: seq 971, pid [3821] exit with 0,
3 seconds old
Jun 12 14:37:27 chatteau setroubleshoot:      SELinux is preventing /sbin/sysctl
(udev_t) "write" to <Unknown> (sysctl_net_t).      For complete SELinux
messages. run sealert -l cc18a2c2-689d-4871-9715-b8cf738b1ab8
Jun 12 14:37:28 chatteau last message repeated 2 times
Jun 12 14:37:46 chatteau udevd[451]: get_ctrl_msg: udevd message
(SET_LOG_PRIORITY) received, udev_log_priority=3
-- end log --
Comment 8 Ashish Shukla 2007-06-17 02:37:15 EDT
Upgraded "selinux-policy" and "selinux-policy-targeted", but still no changes:

-- begin info --
[wahjava@chatteau ~]$ rpm -q selinux-policy
selinux-policy-2.6.4-14.fc7
[wahjava@chatteau ~]$ rpm -q selinux-policy-targeted
selinux-policy-targeted-2.6.4-14.fc7
-- end info --
Comment 9 Daniel Walsh 2007-06-18 11:28:54 EDT
Fixed in selinux-policy-2.6.4-17
Comment 10 Daniel Walsh 2007-08-22 10:09:39 EDT
Closing as fixes are in the current release

Note You need to log in before you can comment on or make changes to this bug.